#pragma once

#include "Arduino.h"

enum measureMode
{
  mA20,
  mA200,
  mA1000,
  mAuto,
  mSetup,
  mLast
};

void initMeasure( void );
void handleMeasure (void );

measureMode getMeasureMode( void );

measureMode getMeasureMode( void );

double getMin( void);
double getMax(void);
double getRms(void);
uint8_t getBar(void);
double getValue(void);

bool getErrorState(void);
bool getOkState(void);
bool getOpenState(void);
